<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet xmlns:msxsl="urn:schemas-microsoft-com:xslt" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="text" standalone="yes" encoding="utf-8"/>

<xsl:template name="localization">
<_locDefinition>
<_locDefault _loc="locNone"/>
<_locTag _loc="locData">label</_locTag>

<!--	5/23/2006
	turning off localization to the document as a whole and 
	specifying localization only for the values of the  
	'label' elements. Also adding loc IDs to each tag.
	http://localizability/practices/XML.asp
	http://localizability/practices/XMLConfiguration.asp
-->

</_locDefinition>
</xsl:template>

<xsl:variable name="labels">
  <label _locID="Alert" name="Alert">Alert</label>
  <label _locID="BufferSize" name="BufferSize">Buffer Size</label>
  <label _locID="BuffersLost" name="BuffersLost">Buffers Lost</label>
  <label _locID="BuffersWritten" name="BuffersWritten">Buffers Written</label>
  <label _locID="ClockType" name="ClockType">Clock Type</label>
  <label _locID="Configuration" name="Configuration">Configuration</label>
  <label _locID="Counter" name="Counter">Counter</label>
  <label _locID="Counters" name="Counters">Counters</label>
  <label _locID="Cycle" name="Cycle">Cycle</label>
  <label _locID="Days" name="Days">Days</label>
  <label _locID="Duration" name="Duration" units="Seconds">Duration</label>
  <label _locID="DisplayName" name="DisplayName">Name</label>
  <label _locID="EndDate" name="EndDate">End Date</label>
  <label _locID="EventsLost" name="EventsLost">EventsLost</label>
  <label _locID="FilterType" name="FilterType">Filter Type</label>
  <label _locID="Guid" name="Guid">Provider Guid</label>
  <label _locID="KeywordsAll" name="KeywordsAll">All keywords</label>
  <label _locID="KeywordsAny" name="KeywordsAny">Any keyword</label>
  <label _locID="LatestOutputLocation" name="LatestOutputLocation">Output Location</label>
  <label _locID="Level" name="Level">Level</label>
  <label _locID="LogAppend" name="LogAppend">Append</label>
  <label _locID="LogCircular" name="LogCircular">Circular</label>
  <label _locID="LogOverwrite" name="LogOverwrite">Overwrite</label>
  <label _locID="MB" name="MB">MB</label>
  <label _locID="Name" name="Name">Name</label>
  <label _locID="Off" name="Off">Off</label>
  <label _locID="On" name="On">On</label>
  <label _locID="Pending" name="Pending">Pending</label>
  <label _locID="Compiling" name="Compiling">Compiling</label>
  <label _locID="Undefined" name="Undefined">Undefined</label>
  <label _locID="Performance" name="Performance">Performance</label>
  <label _locID="Properties" name="Properties">Properties</label>
  <label _locID="Provider" name="Provider">Provider</label>
  <label _locID="RootPath" name="RootPath">Root Path</label>
  <label _locID="Running" name="Running">Running</label>
  <label _locID="StartDate" name="StartDate">Start Date</label>
  <label _locID="StartTime" name="StartTime">Start Time</label>
  <label _locID="Status" name="Status">Status</label>
  <label _locID="SampleInterval" name="SampleInterval" units="Seconds">Sample Interval</label>
  <label _locID="Seconds" name="Seconds">second(s)</label>
  <label _locID="Segment" name="Segment">Segment</label>
  <label _locID="SegmentMaxDuration" name="SegmentMaxDuration" units="Seconds">Segment Max Duration</label>
  <label _locID="SegmentMaxSize" name="SegmentMaxSize" units="MB">Segment Max Size</label>
  <label _locID="Stopped" name="Stopped">Stopped</label>
  <label _locID="System" name="System">System</label>
  <label _locID="Task" name="Task">Task</label>
  <label _locID="TaskArguments" name="TaskArguments">Task Arguments</label>
  <label _locID="TimeStamp" name="TimeStamp">TimeStamp</label>
  <label _locID="Trace" name="Trace">Trace</label>
  <label _locID="Schedule" name="Schedule">Schedule</label>
  <label _locID="Type" name="Type">Type</label>
  <label _locID="Unknown" name="Unknown">Unknown</label>
  <label _locID="StreamMode" name="StreamMode">File Mode</label>
  <label _locID="PlaNone" name="PlaNone">None</label>
  <label _locID="PlaFile" name="PlaFile">File</label>
  <label _locID="PlaRealTime" name="PlaRealTime">Real-time</label>
  <label _locID="PlaBoth" name="PlaBoth">File and Real-time</label>
  <label _locID="PlaBuffering" name="PlaBuffering">Buffering</label>
  <label _locID="FlushTimer" name="FlushTimer">Buffer Flush Timer</label>
  <label _locID="SchedulesEnabled" name="SchedulesEnabled">Schedules</label>
  <label _locID="UserAccount" name="UserAccount">Run as</label>
  <label _locID="Files" name="Files">Files</label>
  <label _locID="Registries" name="Registries">Registry Entries</label>
  <label _locID="MgmtQueries" name="MgmtQueries">Management Queries</label>
  <label _locID="QueryNetworkAdapters" name="QueryNetworkAdapters">Network Interfaces</label>
  <label _locID="Thresholds" name="Thresholds">Thresholds</label>
  <label _locID="EventLog" name="EventLog">Event Log</label>
  <label _locID="TriggerDataCollectorSet" name="TriggerDataCollectorSet">Data Collector Set</label>
  <label _locID="mon" name="mon">Mon</label>
  <label _locID="tue" name="tue">Tue</label>
  <label _locID="wed" name="wed">Wed</label>
  <label _locID="thr" name="thr">Thr</label>
  <label _locID="fri" name="fri">Fri</label>
  <label _locID="sat" name="sat">Sat</label>
  <label _locID="sun" name="sun">Sun</label>
</xsl:variable>

<xsl:variable name="col">
  <xsl:value-of select="'                          '"/>
</xsl:variable>
<xsl:variable name="offset"><xsl:value-of select="string-length($col)"/></xsl:variable>

<xsl:template match="/">
  <xsl:for-each select="//DataCollectorSet">
    <xsl:value-of select="'
'"/>

    <xsl:apply-templates select="Name" mode="label"/>
    <xsl:apply-templates select="Status" mode="label"/>
    <xsl:apply-templates select="RootPath" mode="label"/>
    <xsl:apply-templates select="Task" mode="label"/>
    <xsl:apply-templates select="Duration" mode="label"/>
    <xsl:apply-templates select="Segment" mode="label-boolean"/>
    <xsl:apply-templates select="SchedulesEnabled" mode="label-boolean"/>
    <xsl:apply-templates select="SegmentMaxDuration" mode="label"/>
    <xsl:apply-templates select="SegmentMaxSize" mode="label"/>
    <xsl:apply-templates select="UserAccount" mode="label"/>
    <xsl:apply-templates select="Schedule"/>

    <xsl:apply-templates select="PerformanceCounterDataCollector"/>
    <xsl:apply-templates select="AlertDataCollector"/>
    <xsl:apply-templates select="ConfigurationDataCollector"/>
    <xsl:apply-templates select="TraceDataCollector"/>
  </xsl:for-each>
  <xsl:value-of select="'
'"/>
</xsl:template>

<xsl:template match="Schedule">
  <xsl:value-of select="'
'"/>
  <xsl:value-of select="msxsl:node-set($labels)/label[@name = 'Schedule']"/><xsl:value-of select="'
'"/>
  <xsl:apply-templates select="StartDate" mode="label"/>
  <xsl:apply-templates select="StartTime" mode="label"/>
  <xsl:apply-templates select="EndDate" mode="label"/>
  <xsl:apply-templates select="Days" mode="label"/>
</xsl:template>

<xsl:template name="DataCollector">
  <xsl:value-of select="'
'"/>
  <xsl:call-template name="display">
    <xsl:with-param name="label" select="msxsl:node-set($labels)/label[@name = 'Name']"/>
    <xsl:with-param name="value"><xsl:value-of select="preceding-sibling::Name"/>\<xsl:value-of select="Name"/></xsl:with-param>
  </xsl:call-template>
  <xsl:apply-templates select="DataCollectorType" mode="label"/>
  <xsl:apply-templates select="LatestOutputLocation" mode="label"/>
  <xsl:apply-templates select="LogAppend" mode="label-boolean"/>
  <xsl:apply-templates select="LogCircular" mode="label-boolean"/>
  <xsl:apply-templates select="LogOverwrite" mode="label-boolean"/>
</xsl:template>

<xsl:template match="PerformanceCounterDataCollector">
  <xsl:call-template name="DataCollector"/>
  <xsl:apply-templates select="SampleInterval" mode="label"/>
  <xsl:if test="Counter">
    <xsl:value-of select="'
'"/>
    <xsl:value-of select="msxsl:node-set($labels)/label[@name = 'Counters']"/>:<xsl:value-of select="'
'"/>
    <xsl:for-each select="CounterDisplayName">
      <xsl:value-of select="'  '"/><xsl:value-of select="."/><xsl:value-of select="'
'"/>
    </xsl:for-each>
  </xsl:if>
</xsl:template>

<xsl:template match="AlertDataCollector">
  <xsl:call-template name="DataCollector"/>
  <xsl:apply-templates select="SampleInterval" mode="label"/>
  <xsl:apply-templates select="EventLog" mode="label-boolean"/>
  <xsl:apply-templates select="TriggerDataCollectorSet" mode="label"/>
  <xsl:apply-templates select="Task" mode="label"/>
  <xsl:apply-templates select="TaskArguments" mode="label"/>
  <xsl:if test="Alert">
    <xsl:value-of select="'
'"/>
    <xsl:value-of select="msxsl:node-set($labels)/label[@name = 'Thresholds']"/>:<xsl:value-of select="'
'"/>
    <xsl:for-each select="AlertDisplayName">
      <xsl:value-of select="'  '"/><xsl:value-of select="."/><xsl:value-of select="'
'"/>
    </xsl:for-each>
  </xsl:if>
</xsl:template>

<xsl:template match="ConfigurationDataCollector">
  <xsl:call-template name="DataCollector"/>
  <xsl:apply-templates select="QueryNetworkAdapters" mode="label-boolean"/>
  <xsl:if test="ManagementQuery">
    <xsl:value-of select="'
'"/>
    <xsl:value-of select="msxsl:node-set($labels)/label[@name = 'MgmtQueries']"/>:<xsl:value-of select="'
'"/>
    <xsl:for-each select="ManagementQuery">
      <xsl:value-of select="'  '"/><xsl:value-of select="."/><xsl:value-of select="'
'"/>
    </xsl:for-each>
  </xsl:if>
  <xsl:if test="File">
    <xsl:value-of select="'
'"/>
    <xsl:value-of select="msxsl:node-set($labels)/label[@name = 'Files']"/>:<xsl:value-of select="'
'"/>
    <xsl:for-each select="File">
      <xsl:value-of select="'  '"/><xsl:value-of select="."/><xsl:value-of select="'
'"/>
    </xsl:for-each>
  </xsl:if>
  <xsl:if test="RegistryKey">
    <xsl:value-of select="'
'"/>
    <xsl:value-of select="msxsl:node-set($labels)/label[@name = 'Registries']"/>:<xsl:value-of select="'
'"/>
    <xsl:for-each select="RegistryKey">
      <xsl:value-of select="'  '"/><xsl:value-of select="."/><xsl:value-of select="'
'"/>
    </xsl:for-each>
  </xsl:if>
</xsl:template>

<xsl:template match="TraceDataCollector">
  <xsl:call-template name="DataCollector"/>
  <xsl:apply-templates select="BufferSize" mode="label"/>
  <xsl:apply-templates select="BuffersLost" mode="label"/>
  <xsl:apply-templates select="BuffersWritten" mode="label"/>
  <xsl:apply-templates select="FlushTimer" mode="label"/>
  <xsl:apply-templates select="ClockType" mode="label"/>
  <xsl:apply-templates select="StreamMode" mode="label"/>
  <xsl:apply-templates select="TraceDataProvider"/>
</xsl:template>

<xsl:template match="TraceDataProvider">
  <xsl:value-of select="'
'"/>
  <xsl:value-of select="msxsl:node-set($labels)/label[@name = 'Provider']"/>:<xsl:value-of select="'
'"/>
  <xsl:apply-templates select="DisplayName" mode="label"/>
  <xsl:apply-templates select="Guid" mode="label"/>
  <xsl:apply-templates select="Level" mode="ValueMap"/>
  <xsl:apply-templates select="KeywordsAll" mode="ValueMap"/>
  <xsl:apply-templates select="KeywordsAny" mode="ValueMap"/>
  <xsl:apply-templates select="Properties" mode="ValueMap"/>
  <xsl:apply-templates select="FilterType" mode="label"/>
</xsl:template>

<xsl:template match="*" mode="ValueMap">
  <xsl:variable name="label" select="name()"/>

  <xsl:value-of select="$label"/>:<xsl:value-of select="substring($col, $offset - 20 + string-length($label) )"/>
  <xsl:value-of select="Value"/>
  <xsl:if test="ValueMapItem[Enabled=-1 and string-length(Key)]">
    <xsl:value-of select="' ('"/>
    <xsl:for-each select="ValueMapItem[Enabled=-1 and string-length(Key)]">
      <xsl:if test="position() &gt; 1">
        <xsl:value-of select="','"/>
      </xsl:if>
      <xsl:value-of select="Key"/>
    </xsl:for-each>
    <xsl:for-each select="ValueMapItem[Enabled=-1 and string-length(Key)=0]">
      <xsl:value-of select="','"/>
      <xsl:value-of select="Value"/>
    </xsl:for-each>
    <xsl:value-of select="')'"/>
  </xsl:if>
  <xsl:value-of select="'
'"/>
</xsl:template>

<xsl:template match="*" mode="label-boolean">
  <xsl:variable name="node" select="name()"/>
  <xsl:variable name="value">
    <xsl:choose>
      <xsl:when test=". = 0">Off</xsl:when>
      <xsl:otherwise>On</xsl:otherwise>
    </xsl:choose>
  </xsl:variable>
  <xsl:call-template name="display">
    <xsl:with-param name="label" select="msxsl:node-set($labels)/label[@name = $node]"/>
    <xsl:with-param name="value" select="msxsl:node-set($labels)/label[@name = $value]"/>
  </xsl:call-template>
</xsl:template>

<xsl:template match="DataCollectorType" mode="label">
  <xsl:variable name="type">
    <xsl:choose>
      <xsl:when test=". = 0">Counter</xsl:when>
      <xsl:when test=". = 1">Trace</xsl:when>
      <xsl:when test=". = 2">Configuration</xsl:when>
      <xsl:when test=". = 3">Alert</xsl:when>
    </xsl:choose>
  </xsl:variable>
  <xsl:call-template name="display">
    <xsl:with-param name="label" select="msxsl:node-set($labels)/label[@name = 'Type']"/>
    <xsl:with-param name="value" select="msxsl:node-set($labels)/label[@name = $type]"/>
  </xsl:call-template>
</xsl:template>

<xsl:template match="ClockType" mode="label">
  <xsl:variable name="clock">
    <xsl:choose>
      <xsl:when test=". = 0">TimeStamp</xsl:when>
      <xsl:when test=". = 1">Performance</xsl:when>
      <xsl:when test=". = 2">System</xsl:when>
      <xsl:when test=". = 3">Cycle</xsl:when>
    </xsl:choose>
  </xsl:variable>
  <xsl:call-template name="display">
    <xsl:with-param name="label" select="msxsl:node-set($labels)/label[@name = 'ClockType']"/>
    <xsl:with-param name="value" select="msxsl:node-set($labels)/label[@name = $clock]"/>
  </xsl:call-template>
</xsl:template>

<xsl:template match="StreamMode" mode="label">
  <xsl:variable name="streammode">
    <xsl:choose>
      <xsl:when test=". = 0">PlaNone</xsl:when>
      <xsl:when test=". = 1">PlaFile</xsl:when>
      <xsl:when test=". = 2">PlaRealTime</xsl:when>
      <xsl:when test=". = 3">PlaBoth</xsl:when>
      <xsl:when test=". = 4">PlaBuffering</xsl:when>
      <xsl:otherwise>Unknown</xsl:otherwise>
    </xsl:choose>
  </xsl:variable>
  <xsl:call-template name="display">
    <xsl:with-param name="label" select="msxsl:node-set($labels)/label[@name = 'StreamMode']"/>
    <xsl:with-param name="value" select="msxsl:node-set($labels)/label[@name = $streammode]"/>
  </xsl:call-template>
</xsl:template>

<xsl:template match="Status" mode="label">
  <xsl:variable name="status">
    <xsl:choose>
      <xsl:when test=". = 0">Stopped</xsl:when>
      <xsl:when test=". = 1">Running</xsl:when>
      <xsl:when test=". = 2">Compiling</xsl:when>
      <xsl:when test=". = 3">Pending</xsl:when>
      <xsl:when test=". = 4">Undefined</xsl:when>
      <xsl:otherwise>Unknown</xsl:otherwise>
    </xsl:choose>
  </xsl:variable>
  <xsl:call-template name="display">
    <xsl:with-param name="label" select="msxsl:node-set($labels)/label[@name = 'Status']"/>
    <xsl:with-param name="value" select="msxsl:node-set($labels)/label[@name = $status]"/>
  </xsl:call-template>
</xsl:template>

<xsl:template match="Days" mode="label">
  <xsl:variable name="days">
    <xsl:if test="(floor(. div 1 ) mod 2) != 0"><xsl:value-of select="msxsl:node-set($labels)/label[@name = 'sun']"/> </xsl:if>
    <xsl:if test="(floor(. div 2 ) mod 2) != 0"><xsl:value-of select="msxsl:node-set($labels)/label[@name = 'mon']"/> </xsl:if>
    <xsl:if test="(floor(. div 4 ) mod 2) != 0"><xsl:value-of select="msxsl:node-set($labels)/label[@name = 'tue']"/> </xsl:if>
    <xsl:if test="(floor(. div 8 ) mod 2) != 0"><xsl:value-of select="msxsl:node-set($labels)/label[@name = 'wed']"/> </xsl:if>
    <xsl:if test="(floor(. div 16) mod 2) != 0"><xsl:value-of select="msxsl:node-set($labels)/label[@name = 'thr']"/> </xsl:if>
    <xsl:if test="(floor(. div 32) mod 2) != 0"><xsl:value-of select="msxsl:node-set($labels)/label[@name = 'fri']"/> </xsl:if>
    <xsl:if test="(floor(. div 64) mod 2) != 0"><xsl:value-of select="msxsl:node-set($labels)/label[@name = 'sat']"/></xsl:if>
  </xsl:variable>
  <xsl:call-template name="display">
    <xsl:with-param name="label" select="msxsl:node-set($labels)/label[@name = 'Days']"/>
    <xsl:with-param name="value" select="$days"/>
  </xsl:call-template>
</xsl:template>

<xsl:template match="*" mode="label">
  <xsl:variable name="node" select="name()"/>
  <xsl:variable name="value">
    <xsl:choose>
      <xsl:when test="msxsl:node-set($labels)/label[@name = $node]/@units">
        <xsl:if test=". &gt; 0">
          <xsl:value-of select="."/>
          <xsl:value-of select="' '"/>
          <xsl:value-of select="msxsl:node-set($labels)/label[@name = msxsl:node-set($labels)/label[@name = $node]/@units]"/>
        </xsl:if>
      </xsl:when>
      <xsl:otherwise>
        <xsl:value-of select="."/>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:variable>
  <xsl:call-template name="display">
    <xsl:with-param name="label" select="msxsl:node-set($labels)/label[@name = $node]"/>
    <xsl:with-param name="value" select="$value"/>
  </xsl:call-template>
</xsl:template>

<xsl:template name="display">
  <xsl:param name="label"/>
  <xsl:param name="value"/>
  <xsl:if test="string-length($value)">
    <xsl:value-of select="$label"/>:<xsl:value-of select="substring($col, $offset - 20 + string-length($label) )"/>
    <xsl:value-of select="$value"/><xsl:value-of select="'
'"/>
  </xsl:if>
</xsl:template>

</xsl:stylesheet>
